Bug 53114 - filesystem detection fails when trying to mount multisession CD
Summary: filesystem detection fails when trying to mount multisession CD
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-03 21:24 UTC by Graham Cole
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-28 17:00:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Graham Cole 2001-09-03 21:24:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010705

Description of problem:
when i try to mount a multisession CD i get the following error:

[diakka@charon diakka]$ mount /mnt/dvd
/dev/dvd: Input/output error
mount: I could not determine the filesystem type, and none was specified


the fstab entry for this filesystem is:
/dev/dvd
/mnt/dvd
auto
noauto,owner,kudzu,ro
0 0

Here are the entries in the /dev directory:

lrwxrwxrwx    1 root   root          4 Jun 13 20:37 /dev/dvd -> scd0
brw-------    1 diakka disk     1,   0 Mar 23 23:38 /dev/scd0


this is what happens when i specify a filesystem as root:
[root@charon /root]# mount -t iso9660 /dev/dvd /mnt/dvd
mount: block device /dev/dvd is write-protected, mounting read-only


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  put the previous filesystem entry in to fstab
2.  put a multisession CD in the drive (mine is Paul van Dyk - out there
and back - CD 2
3.  as the device owner do mount /dev/dvd



Additional info:

I am using a Lite-On LTD-163 16x DVD drive set to master on the first IDE
chain.
using scsi emulation.

Comment 1 Bill Nottingham 2001-09-04 00:32:23 UTC
What happens if you specify a filesystem as non-root?


Note You need to log in before you can comment on or make changes to this bug.